<?php
session_start();
include "verifica.php";
include "validaciones.php";


@$xnombres=$_REQUEST['xnombres'];
@$xdireccion=$_REQUEST['xdireccion'];
@$xtelefono=$_REQUEST['xtelefono'];
@$xciudad=$_REQUEST['xciudad'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xestado=$_REQUEST['xestado'];
@$xtipo=$_REQUEST['xtipo'];
@$xempresa_raiz=$_REQUEST['xempresa_raiz'];
@$xexonerado=$_REQUEST['xexonerado'];


@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";

$empre = new EmpresasProcesos;

switch($xaccion){
	
	case "adicionar": 
		if($empre->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Empresa creada satisfactoriamente.")
			parent.location.href="../empresas.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($empre->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Empresa modificada satisfactoriamente.")
			parent.location.href="../empresas.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		/*
		if($empre->eliminar($conexion)==1){
			?>			
			<script language="javascript">
			alert("Empresa eliminada satisfactoriamente.")
			parent.location.href="../empresas.php";
			</script>			
			<?php
			
		}		
		break;
		*/
		
		if($vali->empresas($conexion,$xaccion,$xid)==1){
			?>			
			<script language="javascript">
			alert("No se puede eliminar porque tiene registros relacionados.")
			</script>			
			<?php
		
		}else{
	
			if($empre->eliminar($conexion)==1){
				//echo "eliminar";
				?>			
				<script language="javascript">
				alert("Empresa eliminada satisfactoriamente.")
				parent.location.href="../empresas.php";
				</script>			
				<?php
				
			}		
		}			
		break;
		
		
		

	case "activar":
		if($empre->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			</script>			
			<?php
			
		}		
		break;


}

class EmpresasProcesos{

	//Adiciona nueva familia
	function adicionar($conexion){
		global $xnombres, $xdireccion, $xtelefono, $xciudad, $xaccion, $xid, $xusuario_sesion, $xempresa_raiz, $xexonerado;					

		$r = mysqli_query($conexion,"insert into empresas (emp_nom, 
												  emp_direccion,
												  emp_telefono,
												  emp_ciudad,
												  emp_usu_crea,
												  emprai_codi_fk,
												  emp_exonerado_igv)
										values ('$xnombres', 
												'$xdireccion',
												'$xtelefono',
												'$xciudad',
												'$xusuario_sesion',
												'$xempresa_raiz',
												'$xexonerado');");
		
		if($r){		
			return 1;
		}	
				
	}	

	//Modifica una familia
	function modificar($conexion){
		global $xnombres, $xdireccion, $xtelefono, $xciudad, $xaccion, $xid, $xusuario_sesion, $xempresa_raiz, $xexonerado;		

		$r = mysqli_query($conexion,"update empresas set emp_nom = '$xnombres', 
												  emp_direccion = '$xdireccion',
												  emp_telefono = '$xtelefono',
												  emp_ciudad = '$xciudad',
												  emp_usu_modifica = '$xusuario_sesion',
												  emprai_codi_fk = '$xempresa_raiz',
												  emp_exonerado_igv = '$xexonerado'
										where emp_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	
	

	//Elimina una familia
	function eliminar($conexion){
		global $xnombres, $xdireccion, $xtelefono, $xciudad, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"delete from empresas where emp_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	}		


	//Activa una familia
	function activar($conexion){
		global $xnombres, $xdireccion, $xtelefono, $xciudad, $xaccion, $xid, $xusuario_sesion;		

		$r = mysqli_query($conexion,"update empresas set emp_estado = '$xestado',
															   emp_usu_activa = '$xusuario_sesion'	 
															where emp_codi = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	


}


?>
